# Run tests in check section
%bcond_without check

%global goipath         github.com/shurcooL/highlight_go
%global commit          78fb10f4a5f89e812a5e26ab723b954a51226086

%global common_description %{expand:
Syntax highlighter for Go, using go/scanner.}

%global golicenses LICENSE
%gometa

Name:           %{goname}
Version:        0
Release:        0.5%{?dist}
Summary:        Syntax highlighter for Go, using go/scanner
Group:          Development/Other
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires: golang(github.com/sourcegraph/annotate)
BuildRequires: golang(github.com/sourcegraph/syntaxhighlight)

%if %{with check}
BuildRequires: golang(github.com/sourcegraph/syntaxhighlight)
%endif

%description
%{common_description}

%gopkg
%prep
%goprep


%install
%gopkginstall


%if %{with check}
%check
%gocheck
%endif

%gopkgfiles





%changelog
* Thu Oct 29 2020 joequant <joequant> 0-0.5.mga8
+ Revision: 1640420
- redo build

* Sun Nov 25 2018 pterjan <pterjan> 0-0.2.mga7
+ Revision: 1334474
- imported package golang-github-shurcool-highlight

